/*
Stylesheet      Internal Home
Theme Name      University of St Andrews 2008
URI             http://www.st-andrews.ac.uk
Version         5.1.0
Authors         gjms1, pw42
Description     Staff and Students Homepages
Last Updated    09/12/2016
*/

/* --------------- NAV MAIN ------------------------------------------------- */

/* HEADING Treatment of hover on Current Staff/Students header in arrow */
#navmain h1 a:hover, #navmain h1 a:active {
    color: #fff;
    text-decoration: none;
    }

/* HEADING Background required on "Current St..." on homepage with no link */
#navmain h1 {
    padding: 0 100px 0 32px;

    }

/* --------------- MAINWRAPPER ---------------------------------------------- */

/* Reduce gap at top of page, compared with ordinary pages */
#mainwrapper {
    padding-top: 1em !important;
    }


/* --------------- HIGHLIGHTS AREA ------------------------------------------ */

/* Wrapper for the highlights area --
    essential for creating gap top and bottom. (margin: 1em)
    Height: image (250px) + list (30px) */
#highlights {
    background-color: #fff;
    height: 280px;
    margin: 1em 0;
    margin-bottom: 1.5em;
}

/* Height of the complete feature area - required otherwise it breaks page further down,
e.g. margin-bottom beneath News section. */
#feature-wrapper {
    height: auto;
    background-color: #fff;
    }

/* Added overflow: hidden to accommodate Photo of the Week, so that it cuts off at h: 250px */
.feature-block {
    height: 250px;
    overflow: hidden;
    position: relative;
    width: 710px;
    }

    /* This is necessary for IE5/6, otherwise it moves positioned text down 8px
    removed height: 250px to accommodate Photo of the Week. Force width in case
    Photo of the Week is created too small or large. */
    .feature-block img {
        position: absolute;
        top: 0;
        width: 710px !important;
        }

    .feature-text {
        background-image: url('/media/styles/main-website/images/darkglass/v2-img_darkglass.png');
        background-repeat: repeat;
        bottom: 0;
        color: #fff;
        height: auto;
        left: 0;
        position: absolute;
        width: 710px;
        }

/* Feature Text background image alternative for IE6 */
* html .feature-text {
    background-image: url('/media/styles/main-website/images/darkglass/v2-img_darkglass.gif');
    }

    .feature-text h3 {color: #fff; font-weight: bold; padding: 10px 10px 5px 10px; margin: 0;}
    .feature-text p {padding: 0 10px 10px 10px; margin: 0;}

    .feature-text a:link,
    .feature-text a:visited {color: #fff; text-decoration: underline;}

    .feature-text p a:hover,
    .feature-text a:active {color: #fff !important; text-decoration: none !important;}

     .feature-text h3 a:link,
     .feature-text h3:visited {
        color: #fff !important; text-decoration: underline !important;}

    .feature-text h3 a:hover,
    .feature-text h3:active {
        color: #fff !important; text-decoration: none !important;}

    .feature-text acronym {
        color: #fff;
        font-size: 0.875em;
    }

#featureul a {cursor: default;
    height: 30px;
}

/* --------------- jQUERY UI TABS ------------------------------------------- */

.ui-tabs-hide {
    display: none;
    }

ul#feature-list {
    list-style-type: none;
    margin: 0 0 0;
    padding: 0;
    height: 30px;
    line-height: 30px;
    }

ul#feature-list li {
    display: inline;
    float: left;
    margin-right: 5px;
    width: auto;
    }

ul#feature-list li a {
    height: 30px;
    display: block;
    width: auto;
    float: left;
    }


ul#feature-list li a:link,
ul#feature-list li a:visited {
    background-color: #ddd;
    color: #00529b;
    padding: 0 8px;
    text-decoration: none;
    }

/* Hover 303030 */
ul#feature-list li a:hover {
    background-color: #c0d7ec !important;
    color: #000 !important;
    }

/* Click and selected 404040 */
ul#feature-list li a:active,
.ui-tabs-selected a,
ul#feature-list li.ui-tabs-selected a:hover {
    background-color: #404040 !important;
    color: #fff !important;
    text-decoration: none !important;
    }

.ui-tabs-disabled {
    background-color: #eee !important;
    }

/* --------------- SEMESTER DATES ------------------------------------------- */

/* Widens the semesterDates box c0d7ec */
#semester-dates {
    background-color: #c0d7ec;
    background-image: url('/media/styles/main-website/images/crest/v2-img_home_crestbg.gif') !important;
    /*DELETE THIS LINE background-position: 80px 20px;*/
    background-position: 80px 60px;
    background-repeat: no-repeat;
    border: 2px solid #88B3D9;
    height: 276px;
    overflow: hidden;
    width: 236px;
    }

#semester-dates-inner {
    margin: 10px !important;
    width: 220px;
    }

p#today {
    font-weight: bold;
    padding-top: 5px;
    }

h3#semester-dates-title {
    background-color: #88b3d9;
    color: #fff;
    left: -10px;
    margin-bottom: 15px;
    padding: 10px 0 10px 10px;
    position: relative;
    top: -5px;
    width: 226px;
    }

#semester-dates-inner .clear {font-weight: bold;}

/* --------------- CATEGORIES ----------------------------------------------- */

/* span-8 */
.column1-4, .column2-4, .column3-4, .column4-4 {
    display: inline;
    float:left;
    margin-right: 10px;
    width: 232px;
    max-width: 232px;
    }

.column4-4 {
    margin-right: 0;
    width: 234px;
    max-width: 234px;
    }

#categories {
    margin: 0;
    padding: 0;
    clear: both;
    }

.column1-4 h3, .column2-4 h3, .column3-4 h3, .column4-4 h3 {
    color: #00529b;
    }

/* Style Top-5 links within Current Staff and Students homepage */
/* List elements */
.column1-4 li a, .column2-4 li a, .column3-4 li a, .column4-4 li a {
    color: #000;
    text-decoration: none;
    }

.column1-4 li a:hover, .column2-4 li a:hover, .column3-4 li a:hover, .column4-4 li a:hover,
.column1-4 li a:active, .column2-4 li a:active, .column3-4 li a:active, .column4-4 li a:active {
    text-decoration: underline !important;
    }

/* Headings */
.column1-4 h3 a, .column2-4 h3 a, .column3-4 h3 a, .column4-4 h3 a {
    color: #00529b;
    text-decoration: none;
    }

.column1-4 h3 a:hover, .column2-4 h3 a:hover, .column3-4 h3 a:hover, .column4-4 h3 a:hover,
.column1-4 h3 a:active, .column2-4 h3 a:active, .column3-4 h3 a:active, .column4-4 h3 a:active {
    color: #00529b !important;
    text-decoration: underline !important;
    }

/* --------------- STUDENTS UNION LOGO -------------------------------------- */

#logobar {
    background-color: #fff;
    margin-bottom: 5px;
    padding: 5px 0;
    }

#logobar #union-text a:link,
#logobar #union-text a:visited  {
    text-decoration: none;
    }

#logobar #union-text a:hover,
#logobar #union-text a:active  {
    text-decoration: underline;
    }


/* --------------- NEWS AND EVENTS ------------------------------------------ */

/* span-10 */
.column1-3, .column2-3, .column3-3 {
    display: inline;
    float:left;
    margin: 10px 10px 10px 0;
    width: 297px;
    max-width: 297px;
    }

.column1-3 {margin-left: 10px;}

.column3-3 {
    margin-right: 0;
    width: 298px;
    max-width: 298px;
    }

#newsevents {
    background-color: #fff;
    clear: both;
    display: inline;
    float: left;
    margin: 0;
    padding: 0;
    }

#newsevents-inner {
    background-color: #404040;
    color: #fff;
    display: inline;
    float: left;
    margin: 5px !important;
    width: 970px;
    }

/* Adjust width of column 3
#newsevents-inner .column3-3 {
    width: 290px;
    }*/

/* height fixes collapse bug */
#newsevents-inner h3,
#newsevents-inner h4 {
    color: #fff;
    height: auto;
    }

#newsevents-inner h4 {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 0;
    }

/* Style headings, listed items and view all links within the news and events section */
#newsevents-inner h3 a:link, #newsevents-inner h3 a:visited,
#newsevents-inner h4 a:link, #newsevents-inner h4 a:visited,
#newsevents-inner li a:link, #newsevents-inner li a:visited,
#newsevents-inner a:link, #newsevents-inner a:visited {
    color: #fff !important;
    text-decoration: none !important;
    }

#newsevents-inner h3 a:hover, #newsevents-inner h3 a:active,
#newsevents-inner h4 a:hover, #newsevents-inner h4 a:active,
#newsevents-inner li a:hover, #newsevents-inner li a:active,
#newsevents-inner a:hover, #newsevents-inner a:active {
    color: #fff;
    text-decoration: underline !important;
    }

/* Widen gap between imported Announcements */
ul.memolisttop li {margin-bottom: 0.5em;}

p.viewall a:link, p.viewall a:visited {
    color: #CFCFCF;
    text-decoration: none;
    }

p.viewall a:hover, p.viewall a:active {
    text-decoration: underline;
    }

.viewalllist {margin-left: 20px;}

.date,
.viewall {
    color: #cfcfcf;
    font-size: 0.9em;
    }

.date {
    font-variant: small-caps;
    }

/* ALERT BOX Formats alert box on Current Staff/Students pages */

/* ALERT Outer box defines background colour and border */
#alert {
    background-color: #fff6bf;
    border: 2px solid #ffd324;
    color: #514721;
    clear: both;
    margin-bottom: 1em;
    position: relative;
    width: 956px;
    }

/* ALERT Inner box creates space for background image icon */
#alert-inner {
    background-color: transparent;
    margin: 10px 10px 10px 60px;
    width: 886px;
    }

/* ALERT Background image icons */
.alert, .emergency {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_alert.gif);}
.computer {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_computer.gif');}
.help {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_help.gif);}
.info {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_info.gif');}
.security {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_security.gif');}
.stop {background-image: url('/media/styles/main-website/images/icons-alert/v2-img_icon_stop.gif');}

.alert, .computer, .emergency, .help, .info, .security, .stop {
    background-repeat: no-repeat;
    background-position: 10px 10px;
    }

/* ALERT Creates margin between paragraphs only if there are more than one paragraph. This does not work in IE6. */
#alert-inner p + p {margin-top: 1em;}

/* ALERT Changes colours for certain classes of alert 8a1f11 */
.emergency, .stop {
    background-color: #fbe3e4 !important;
    border-color: #FBC2C4 !important;
    color: #000 !important;
    }